import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class MyTabBar extends StatelessWidget {
  // Set the desired height

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        border: Border.all(color: Color(0Xff3A3A3A)),
        borderRadius: BorderRadius.circular(8.r),
      ),
      padding: const EdgeInsets.all(10.0), // Set the desired padding
      child: TabBar(
          indicator: BoxDecoration(
            color: const Color(0xff6C0000),
            borderRadius: BorderRadius.circular(5),
          ),
          dividerColor: Colors.transparent,
          labelStyle: TextStyle(
              fontSize: 18.sp,
              color: Colors.white,
              fontWeight: FontWeight.w500,
              fontFamily: 'manrope'),
          indicatorSize: TabBarIndicatorSize.tab,
          indicatorColor: const Color(0xFFFFFFFF),
          labelColor: Colors.white,
          unselectedLabelColor: const Color(0xffFFFFFF),
          overlayColor: MaterialStateProperty.all(const Color(0xFFFFFFFF)),
          tabs: const [
            Tab(
              text: 'Active Calls',
            ),
            Tab(
              text: 'Exited Calls',
            ),
          ]),
    );
  }
}